Package org.springframework.aot.hint

# Class ResourcePatternHint

java.lang.Object
org.springframework.aot.hint.ResourcePatternHint

All Implemented Interfaces:
  `ConditionalHint`

public final class ResourcePatternHint extends Object implements ConditionalHint
A hint that describes resources that should be made available at runtime.

Each pattern may be a simple path which has a one-to-one mapping to a resource on the classpath, or alternatively may contain the special `*` character to indicate a wildcard match. For example:

- `file.properties`: matches just the `file.properties` file at the root of the classpath.
- `com/example/file.properties`: matches just the `file.properties` file in `com/example/`.
- `*.properties`: matches all the files with a `.properties` extension anywhere in the classpath.
- `com/example/*.properties`: matches all the files with a `.properties` extension in `com/example/` and its child directories at any depth.
- `com/example/*`: matches all the files in `com/example/` and its child directories at any depth.

A resource pattern must not start with a slash (`/`) unless it is the root directory.

Since:
  6.0
Author:
  Stephane Nicoll, Brian Clozel, Sebastien Deleuze, Sam Brannen

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object other)`
`String`
`getPattern()`
Return the pattern to use for identifying the resources to match.
`TypeReference`
`getReachableType()`
Return the type that should be reachable for this hint to apply, or `null` if this hint should always been applied.
`int`
`hashCode()`
`Pattern`
`toRegex()`
Return the regex `Pattern` to use for identifying the resources to match.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.springframework.aot.hint.ConditionalHint

`conditionMatches`

## Method Details

### getPattern

public String getPattern()
Return the pattern to use for identifying the resources to match.

### toRegex

public Pattern toRegex()
Return the regex `Pattern` to use for identifying the resources to match.

### getReachableType

@Nullable public TypeReference getReachableType()
Description copied from interface: `ConditionalHint`
Return the type that should be reachable for this hint to apply, or `null` if this hint should always been applied.

Specified by:
  `getReachableType` in interface `ConditionalHint`
Returns:
  the reachable type, if any

### equals

public boolean equals(@Nullable Object other)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`